singularity(1)

NAME

singularity-remote - Manage singularity remote endpoints

SYNOPSIS

singularity remote [remote options...]

DESCRIPTION

The 'remote' command allows you to manage Singularity remote endpoints through
  its subcommands.

A 'remote endpoint' is the Sylabs Cloud, a Singularity Enterprise installation,
  or a compatible group of services. The remote endpoint is a single address,
  e.g. 'cloud.sylabs.io' through which linked library, builder and keystore
  sevices will be automatically discovered.

To configure a remote endpoint you must 'remote add' it. You can 'remote login' if
  you will be performing actions needing authentication. Switch between
  configured remote endpoints with the 'remote use' command. The active remote
  endpoint will be used for remote builds, key operations, and 'library://' pull
  and push. You can also 'remote logout' from and 'remote remove' an endpoint that
  is no longer required.

The remote configuration is stored in $HOME/.singularity/remotes.yaml by default.

OPTIONS

-c, --config="/root/.singularity/remote.yaml"
    path to the file holding remote endpoint configurations

-h, --help[=false]
    help for remote

EXAMPLE
      All group commands have their own help output:
        $ singularity help remote list
        $ singularity remote list

SEE ALSO

singularity(1), singularity-remote-add(1), singularity-remote-get-login-password(1), singularity-remote-list(1), singularity-remote-login(1), singularity-remote-logout(1), singularity-remote-remove(1), singularity-remote-status(1), singularity-remote-use(1)

HISTORY

29-Oct-2024 Auto generated by spf13/cobra